
// AZ 功能支付结果，，暂定服务端埋点
// export const FunctionPayResult = ({is_success,fail_reason=''})=>{
//   sensors.track('FunctionPayResult', {
//     is_success, // 布尔值
//     fail_reason, // 失败原因，选填，支付成功不填写
//   });
// }


/**
 * AZ, 进入医生问诊页面,进入医生问诊页时触发（注：30分钟内反复进入仅记录第一次）
 * @param {diagnosis_function_name} 判断从哪个功能过来的（快速问诊、报告解读、专家在线、在线开药、AZ问诊开药-血脂、AZ问诊开药-幽门）
 * @param {hospital_order_id} 互医订单ID
 * @param {doctor_id} 医生ID
 * @param {doctor_name} 医生名称
 */
export const OnlineDiagnosis = ({ diagnosis_function_name, hospital_order_id = '', doctor_id, doctor_name }) => {
  sensors.track('OnlineDiagnosis', {
    diagnosis_function_name,
    hospital_order_id,
    doctor_id,
    doctor_name
  });
}

/**
 * AZ开药问诊，点击【立即咨询】时触发
 * @param {az_consult_type} 咨询类型，血脂异常、幽门螺旋杆菌
 */
export const AZConsultClick = ({ az_consult_type }) => {
  sensors.track('AZConsultClick', {
    az_consult_type,
  });
}


/**
 * 医生发送处方成功后触发
 * @param {is_success} 开具处方成功还是失败，布尔值
 * @param {fail_reason} 失败原因，选填
 */
export const PrescriptionResult = ({ is_success, fail_reason = '' }) => {
  sensors.track('PrescriptionResult', {
    is_success,
    fail_reason
  });
}


/**
 * 神策登录
 * @param {userId} string 用户唯一标识
 * @param {gender} string 男 女
 * @param {year_of_birth} number 出生年份,例如 1996
 * @param {country} string 国家,例如 中国
 * @param {province} string 省份,例如 安徽
 * @param {city} string 城市,例如 上海，深圳
 * @param {register_time} DATETIME 注册时间,例如 2021-07-01 18:21:30
 * @param {first_order_time} DATETIME 首次下单时间,例如 2021-07-01 18:21:30
 * @param {last_order_time} DATETIME 最近下单时间,例如 2021-07-01 18:21:30
 */
export const login = (userId, { gender, year_of_birth, country, province, city, register_time, first_order_time, last_order_time }) => {
  sensors.login(userId)
  sensors.setProfile({ gender: '' });
}
